/**************************************************************************/
/* GE15 ( アクセス調査テーブル )                                          */
/*                                                                        */
/* Created : 2009/09/15 19:52:54                                          */
/**************************************************************************/
CREATE TABLE GE15 (
   SYSTEM_ID      VARCHAR2(10)                  NOT NULL      /* 10  システムID               */
 , USERID         VARCHAR2(10)                  NOT NULL      /* 20  ユーザーID               */
 , GUIKEY         VARCHAR2(30)                                /* 30  画面ID                   */
 , DYLOGIN        VARCHAR2(14)                                /* 40  ログイン時間             */
 , DYLOGOUT       VARCHAR2(14)                                /* 50  ログアウト時間           */
 , USED_TIME      NUMBER(9)         DEFAULT 0   NOT NULL      /* 60  使用時間(秒)             */
 , CNT_ACCESS     NUMBER(9)         DEFAULT 0   NOT NULL      /* 70  アクセス件数             */
 , CNT_ERROR      NUMBER(5)         DEFAULT 0   NOT NULL      /* 80  エラー件数               */
 , CNT_READ       NUMBER(9)         DEFAULT 0   NOT NULL      /* 90  読込件数                 */
 , CNT_WRITE      NUMBER(9)         DEFAULT 0   NOT NULL      /* 100 出力件数                 */
 , TM_TOTAL_QUERY NUMBER(18)        DEFAULT 0   NOT NULL      /* 110 トータルDBクエリ時間(ms) */
 , TM_MAX_QUERY   NUMBER(9)         DEFAULT 0   NOT NULL      /* 120 最大DBクエリ時間(ms)     */
 , UNIQ           NUMBER(9)         DEFAULT 0   NOT NULL      /* 130 ユニークキー             */
 , FGJ            VARCHAR2(1)       DEFAULT '1' NOT NULL      /* 140 状態フラグ               */
 , DYSET          VARCHAR2(14)                                /* 150 登録日時                 */
 , DYUPD          VARCHAR2(14)                                /* 160 更新日時                 */
 , USRSET         VARCHAR2(10)                                /* 170 作成社員                 */
 , USRUPD         VARCHAR2(10)                                /* 180 更新者                   */
 , PRGUPD         VARCHAR2(10)                                /* 190 更新PRG                  */
 , MAX_QUERY      VARCHAR2(4000)                              /* 200 最長実行クエリ           */
 , USERADRS       VARCHAR2(40)                                /* 210 IPアドレス(local)        */
 , HOSTADRS       VARCHAR2(40)                                /* 220 IPアドレス(remote)       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 4096K NEXT 16K PCTINCREASE 0 );

CREATE SEQUENCE GE15S01 
INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;

CREATE OR REPLACE TRIGGER GE15T01 
BEFORE INSERT ON GE15
FOR EACH ROW 
BEGIN 
SELECT GE15S01.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
END; 
/

